- Qt 6.9
- Qt Qml
- Qt Qml Tooling
- qmlpreview
- Qt 6.9.3 Reference Documentation

qml ◦ Qt Quick Compiler

# qmlpreview

## The Qml Preview

The QML Preview tool watches QML and JavaScript files on disk and updates the application live with any changes. The application to be previewed has to have QML debugging enabled. More...

Usage
qmlpreview [options] executable [parameters...]

### options

Option | Description
--- | ---
–verbose | Print debugging output.
-h, –help | Displays help on commandline options.
–help-all | Displays help, including generic Qt options.
-v, –version | Displays version information.

### Arguments

Argument | Description
--- | ---
executable | The path of the executable file that loads a QML document.
parameters | Arguments of the executable

### Details

#### Enable QML Debugging

To enable QML debugging, make sure you build your application with appropriate configuration parameters. When using qmake, you should add `CONFIG+=qml_debug` in the `.pro` file. If you use another build system, then `QT_QML_DEBUG` variable should be defined.

     qt_add_executable(MyApp
     ...
     )

     target_compile_definitions(MyApp PRIVATE QT_QML_DEBUG)

qml ◦ Qt Quick Compiler